<?php
/**
 * Copyright © 2013-2017 Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */
namespace GlobalOnePay\Payment\Model\Directpost\Request;

use GlobalOnePay\Payment\Model\Request\Factory as GlobalOnePayRequestFactory;

/**
 * Factory class for @see \GlobalOnePay\Payment\Model\Directpost\Request
 */
class Factory extends GlobalOnePayRequestFactory
{
    /**
     * Factory constructor
     *
     * @param \Magento\Framework\ObjectManagerInterface $objectManager
     * @param string $instanceName
     */
    public function __construct(
        \Magento\Framework\ObjectManagerInterface $objectManager,
        $instanceName = 'GlobalOnePay\Payment\Model\Directpost\Request'
    ) {
        parent::__construct($objectManager, $instanceName);
    }
}
